Package: groovy.org.codenarc.rule.groovyism

## [Groovy] Class ConfusingMultipleReturnsRule

- groovy.org.codenarc.rule.groovyism.ConfusingMultipleReturnsRule

- Multiple return values can be used to set several variables at once. To use multiple return values, the left hand side of the assignment must be enclosed in parenthesis. If not, then you are not using multiple return values, you're only assigning the last element.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority